Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "rootSubscribe"
}{
"jsonrpc": "2.0",
"method": "rootNotification",
"params": {
"result": 42,
"subscription": 0
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "rootSubscribe"
}{
"jsonrpc": "2.0",
"method": "rootNotification",
"params": {
"result": 42,
"subscription": 0
}
}Websockets
Root subscribe
Subscribe to changes to the validator’s root slot. Save the subscription ID returned in result and match it against params.subscription in notifications. Use rootUnsubscribe on the same connection to stop the stream.
WSS
/
Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "rootSubscribe"
}{
"jsonrpc": "2.0",
"method": "rootNotification",
"params": {
"result": 42,
"subscription": 0
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "rootSubscribe"
}{
"jsonrpc": "2.0",
"method": "rootNotification",
"params": {
"result": 42,
"subscription": 0
}
}api_key
type:httpApiKey
API key for authentication. Provide your Solana Tracker API key as a query parameter.
rootSubscribe
type:object
Subscribe to root notifications
rootNotification
type:object
Root notification
rootSubscribe
type:object
Subscribe to root notifications
rootNotification
type:object
Root notification
Was this page helpful?